1. Gurruwiwi's Avatar
    Ok, so here is the deal...

    I have an iPhone 4 16GB, jailbreak on 4.3.3, which was what it had when I it got 6 months ago, and never ever updated since.

    Last week my mom (lol) landed a pretty sweet deal from a known person, factory unlocked iPhone 4 32GB, with invoice, and came jailbroken too on 4.3.3. - which is about 2 or 3 months old, and used daily.

    So my mom asks me if I want the 32, 'cos she isn't a power user... so I say yes sure. So I go to backup/restore/clean and switch phones... (an hence, jailbreak again)

    My 6 month old iPhone, with tiny umbrella, is signed on 4.3.3, 4.3.4 and 4.3.5, thats it. All newer releases say I am too late to sign.

    This newer iPhone is ONLY signed for 4.3.3, and cannot sign for any newer release whatsoever.

    I dont understand this, how can this be possible?

    (yes, I did check the invoice and the IMEI checks out correctly)
    11-24-2011 02:23 PM
  2. Massie's Avatar
    It would only save SHSH when Cydia was opened or if TU was used to save them manually. Sounds like the previous owner didn't use Cydia after 4.3.3.
    11-24-2011 02:35 PM
  3. Ipheuria's Avatar
    Each firmware that comes out Apple stops signing/authorizing the previous version. In order to save your SHSH blobs like Massie has said you either have to go into Cydia when the firmware has been released or use Tiny Umbrella. So if like Massie said the owner never went into Cydia then it wouldn't have any blobs saved. So you have a choice either you can upgrade to 5.0.1 and tether JB with semi-tether. What you should have done insted of backup/restore/clean was unsync everything from each phone and then sync the media on the appropriate phones and then just do your JB tweaks on the new phone. If your mom doesn't want the JB then it's easy just upgrade your phone to 5.0.1 and you're good to go.
    11-24-2011 04:35 PM
  4. Gurruwiwi's Avatar
    Thanks guys, makes sense, knowing the person...

    Another quick question if you don't mind... in the meantime another friend got the iPhone 4 and wants to give his old 3G to his girlfriend, but needs it unlocked. This phone has never been JB and is on 4.2.1.

    I know I have to upgrade the baseband (05.15.04) in order to unlock, which isn't a problem because the phone has finished the contract, so no warranty any more. Have redsn0W, the IPSW firmware, everything set to go.

    The problem is I can't get the damn thing to restore!! I can't get TU to save the SHSH blob, says phone isn't eligible for any build, including the last one for the 3G which is 4.2.1

    With or without TU TSS server running, regular restore or pointing to downloaded IPSW.

    Any ideas?

    By the way, regular iTunes restore says iPhone 3G is not eligible for requested build.
    Lion 10.7.2 with latest iTunes
    Last edited by Gurruwiwi; 11-25-2011 at 08:12 AM.
    11-25-2011 07:52 AM
LINK TO POST COPIED TO CLIPBOARD